geos::operation::overlayng::EdgeSourceInfo Class Reference

`#include <EdgeSourceInfo.h>`

## Public Member Functions

| EdgeSourceInfo (uint8_t p_index, int p_depthDelta, bool p_isHole)
| EdgeSourceInfo (uint8_t p_index)
uint8_t | getIndex () const
int | getDimension () const
int | getDepthDelta () const
bool | isHole () const

## Detailed Description

Records topological information about an edge representing a piece of linework (lineString or polygon ring) from a single source geometry. This information is carried through the noding process (which may result in many noded edges sharing the same information object). It is then used to populate the topology info fields in `Edge`s (possibly via merging). That information is used to construct the topology graph `OverlayLabel`s.

Author
  mdavis

The documentation for this class was generated from the following file:

- EdgeSourceInfo.h